Package org.apache.sysds.runtime.controlprogram.paramserv.homomorphicEncryption

# Class PublicKey

java.lang.Object
org.apache.sysds.runtime.controlprogram.paramserv.homomorphicEncryption.PublicKey

All Implemented Interfaces:
  `Serializable`

public class PublicKey extends Object implements Serializable

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`PublicKey(byte[] data)`

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`getData()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PublicKey

public PublicKey(byte[] data)

## Method Details

### getData

public byte[] getData()